Skip to content

Disbursement Result Notification

  • Endpoint: POST /disbursementResultNotifyUrl
  • Tags: Disbursement Service

Description

You do not need to request this url. The following request.body is the callback content from PayerMax regarding the order status. You need to respond with {"msg": "Success","code": "SUCCESS"} upon receiving the callback.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32Callback notification code, APPLY_SUCCESS means this is a valid callback.
msgstringYesmaxLength: 256Callback notification description:Success.
keyVersionstringYesmaxLength: 8Key version, current value 1
appIdstringYesmaxLength: 64Merchant AppID, the unique identifier assigned to the merchant app by PayerMax.
merchantNostringYesmaxLength: 32MerchantNo, the unique identifier generated when the merchant signs the contract with PayerMax.
notifyTimestringYesmaxLength: 32Notification time, in line with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX.
notifyTypestringYesmaxLength: 16Notification type, PAYOUT.
dataobjectYesResponse data body.
data.outTradeNostringYesmaxLength: 64, minLength: 1Merchant Order Id.
data.tradeNostringYesmaxLength: 64PayerMax transaction serial Order Number.
data.transactionUtcTimestringYesmaxLength: 32Transaction creation time, conforming to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
data.fundsFreezeTimestringNoFund deduct time, conforms to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
data.fundsReturnTimestringNoFund return time, conforms to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
data.payFinishTimestringNomaxLength: 32Transaction completion time, in line with rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
data.bounceBackTimestringNomaxLength: 32Order bounced back time, in line with rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
data.redeemCodestringNomaxLength: 321. FAWRY withdrawal code, 2. Carrier recharge PIN code.
data.expiryTimestringNomaxLength: 32Order expiration time, in line with rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
data.statusstringYesmaxLength: 32Transaction status, SUCCESS succeeded, FAILED failed, PENDING in progress, BOUNCEBACK bounce back.
data.subStatusstringNoTransaction sub-status. When the transaction status of an order is PENDING,PayerMax provides sub-statuses to display the transaction processing progress. For specific enumeration values, please refer to:【Transaction Sub-Status Introduction】. If not returned, please contact technical support for an upgrade.
data.tradeobjectYesTransaction information.
data.trade.amountstringYesmaxLength: 12The trade amount input by the merchant in the request.
data.trade.currencystringYesmaxLength: 3The currency code of trade input by the merchant in the request.
data.sourceobjectYesDisbursement Information (Merchant).
data.source.amountstringYesmaxLength: 12Payer - Deduction Amount.
data.source.currencystringYesmaxLength: 3Payer - Deduction Currency.
data.source.exchangeRatestringNomaxLength: 16The exchange rate for converting the trade currency to the source currency.
data.source.feestringNomaxLength: 12Payer - handling fee.
data.source.feeCurrencystringNomaxLength: 3Payer - handing fee currency.
data.source.taxstringNomaxLength: 12Payer - Tax fee.
data.source.taxCurrencystringNomaxLength: 3Payer - Tax fee Currency.
data.destinationobjectYesPayee Information (User).
data.destination.amountstringYesmaxLength: 12Payee - Amount to account.
data.destination.currencystringYesmaxLength: 3Payee - Receiving Currency.
data.destination.exchangeRatestringNomaxLength: 16The exchange rate for converting the trade currency to the deduction currency.
data.destination.feestringNomaxLength: 12Payee - handling fee.
data.destination.feeCurrencystringNomaxLength: 3Payee - handing fee currency.
data.destination.taxstringNomaxLength: 12Payee - Tax fee.
data.destination.taxCurrencystringNomaxLength: 3Payee - Tax fee currency.
data.referencestringNomaxLength: 512A pass-through parameter, which will be returned the same in the notification callback API. This field is primarily to hold customized data from merchant.
data.notifyPhone stringNomaxLength: 32Payee notification phone number.
data.notifyEmailstringNomaxLength: 64Payee notification email address.
data.responseCodestringNomaxLength: 32Order failed error code.Refer to details【Error Codes Doc】.
data.responseMsgstringNomaxLength: 256Order failed error code description.
data.additionalIdentifierobjectNoAdditional transaction information, this field will be returned only after the withdrawal callback is upgraded to version 3.0 or above. If necessary, you can contact PayerMax technical support for adjustments.
data.additionalIdentifier.referenceIdstringNoThe transaction order number of the receiving bank/institution (based on historical experience, currently only the order number returned by BankTransfer in Saudi Arabia can be used as a voucher to confirm with the receiving bank whether the account has been received. The transaction order number format is such as: 20240418SAARNBARNB1B44410558522170)

Example

json
{
  "code": "APPLY_SUCCESS",
  "data": {
    "destination": {
      "amount": "30.00",
      "currency": "IDR",
      "exchangeRate": "1.0000000000",
      "fee": "0.00",
      "feeCurrency": "IDR",
      "tax": "0.00",
      "taxCurrency": "IDR"
    },
    "source": {
      "amount": "31.00",
      "currency": "IDR",
      "exchangeRate": "1.0000000000",
      "fee": "1.00",
      "feeCurrency": "IDR",
      "tax": "0.00",
      "taxCurrency": "IDR"
    },
    "trade": {
      "amount": "30.00",
      "currency": "IDR"
    },
    "transactionUtcTime": "2023-03-08T10:22:05 +0000",
    "payFinishTime": "2023-03-08T10:23:05 +0000",
    "expiryTime": "2023-03-12 02:37:37",
    "bounceBackTime": "",
    "reference": "Excepteur in non Ut elit",
    "status": "SUCCESS",
    "redeemCode": "123456",
    "tradeNo": "20230308080847PO9876298789038049001",
    "outTradeNo": "outTradeNo167823423411",
    "notifyPhone": "08123456789",
    "notifyEmail": "example@gmail.com",
    "responseCode": "",
    "responseMsg": ""
  },
  "additionalIdentifier": {
    "referenceId": "2024041710121481030100166528590615003"
  },
  "keyVersion": "1",
  "appId": "6666c83333a24666674497c444a33333",
  "merchantNo": "010213834123456",
  "msg": "Success.",
  "notifyTime": "2023-03-08T16:22:05 +0000",
  "notifyType": "PAYOUT"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYesResponse message
codestringYesResponse code

Response Example: 1

成功示例

json
{
  "msg": "Success",
  "code": "SUCCESS"
}

Response Example: 2

异常示例

json
{
  "bizCode": "9998",
  "message": "data is invalid"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.